Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.export.html
Class ExportConfiguration

    java.lang.Object
      edu.stanford.smi.protegex.export.html.ExportConfiguration

    public class ExportConfiguration

extends Object

Author:
  Jennifer Vendetti

Constructor Summary
`ExportConfiguration()`

Method Summary
`String` | `getCSSPath()`
`ArrayList` | `getFacetsToDisplay()`
`String` | `getFooterPath()`
`String` | `getHeaderPath()`
`String` | `getOutputDir()`
`Project` | `getProject()`
`String` | `getProjectName()`
`ArrayList` | `getRootClasses()`
`boolean` | `getShowInstances()`
`ArrayList` | `getSlotsToDisplay()`
`boolean` | `getSortSubclasses()`
`boolean` | `getUseHierarchicalFolders()`
`boolean` | `getUseNumbering()`
`void` | `setCSSPath(String s)`
`void` | `setFacetsToDisplay(ArrayList facets)`
`void` | `setFooterPath(String s)`
`void` | `setHeaderPath(String s)`
`void` | `setOutputDir(String s)`
`void` | `setProject(Project p)`
`void` | `setRootClasses(ArrayList rc)`
`void` | `setShowInstances(boolean b)`
`void` | `setSlotsToDisplay(ArrayList slots)`
`void` | `setSortSubclasses(boolean b)`
`void` | `setUseHierarchicalFolders(boolean state)`
`void` | `setUseNumbering(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExportConfiguration

    public ExportConfiguration()

Method Detail

### setShowInstances

    public void setShowInstances(boolean b)

### getShowInstances

    public boolean getShowInstances()

### setUseNumbering

    public void setUseNumbering(boolean b)

### getUseNumbering

    public boolean getUseNumbering()

### setSortSubclasses

    public void setSortSubclasses(boolean b)

### getSortSubclasses

    public boolean getSortSubclasses()

### setRootClasses

    public void setRootClasses(ArrayList rc)

### getRootClasses

    public ArrayList getRootClasses()

### setSlotsToDisplay

    public void setSlotsToDisplay(ArrayList slots)

### getSlotsToDisplay

    public ArrayList getSlotsToDisplay()

### setFacetsToDisplay

    public void setFacetsToDisplay(ArrayList facets)

### getFacetsToDisplay

    public ArrayList getFacetsToDisplay()

### setOutputDir

    public void setOutputDir(String s)

### getOutputDir

    public String getOutputDir()

### setHeaderPath

    public void setHeaderPath(String s)

### getHeaderPath

    public String getHeaderPath()

### setFooterPath

    public void setFooterPath(String s)

### getFooterPath

    public String getFooterPath()

### setCSSPath

    public void setCSSPath(String s)

### getCSSPath

    public String getCSSPath()

### setProject

    public void setProject(Project p)

### getProject

    public Project getProject()

### getProjectName

    public String getProjectName()

### getUseHierarchicalFolders

    public boolean getUseHierarchicalFolders()

  Returns:
    true if the output should be organized in hierarchical folders. Use flat folders otherwise.

### setUseHierarchicalFolders

    public void setUseHierarchicalFolders(boolean state)

  Parameters:
    `state` - true if the output should be organized in hierarchical folders. Uses flat folders otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request